# $Revision: 1.14 $, $Date: 2004/05/06 18:21:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	ParseWords
Summary:	String::ParseWords - parse a string into logical words
Summary(pl):	String::ParseWords - analiza acucha z rozkadem na logiczne sowa
Name:		perl-String-ParseWords
Version:	0.1
Release:	3
License:	IBM Public License Version 1.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5f47a1111407d0b52f5a01db5518c97c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::ParseWords is designed to parse logical words from a string.
Logical words are defined as sets of characters between double quotes
or sets of characters between whitespace.

%description -l pl
Modu String::ParseWords suy do analizy logicznych sw w acuchu.
Logiczne sowa s zdefiniowane jako zbiory znakw midzy podwjnymi
cudzysowami lub zbiory znakow midzy biaymi znakami (odstpami).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-ParseWords.spec,v $
Revision 1.14  2004/05/06 18:21:10  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.12  2004/04/15 20:30:24  ankry
- cosmetics, unification

Revision 1.11  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:27  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/27 22:37:23  qboosh
- pl description, release 2

Revision 1.2  2002/08/09 10:03:19  radek
- cosmetic fix

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
